
QGIS Application - Bug report #18885

Processing native Clip algorithm does not copy the attribute table

2018-04-30 12:31 PM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: any Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26717

Description

Even if the tool work fine (even with different CRS) the attribute of the original layer is not copied to the final one. SAGA tool works nice so

the problem should not be in the data iteself.

In attach the input layer (point) and the mask layer (polygon) both in the same CRS.

Associated revisions

Revision 9809f939 - 2018-05-02 09:49 PM - Nyall Dawson

[memory] Fix provider cannot handle fields with complex characters in name

Fixes #18885

Revision 1b263163 - 2018-05-03 03:23 AM - Nyall Dawson

[memory] Fix provider cannot handle fields with complex characters in name

Fixes #18885

(cherry-picked from 9809f9394b)

History

#1 - 2018-04-30 12:32 PM - matteo ghetta

Forgot to say: if the output of Processing is treated as temporary. If it is saved on the disk it works nice

#2 - 2018-05-01 12:41 AM - Nyall Dawson

- Status changed from Open to In Progress

Caused by memory provider rejecting the field with the "/" in its name

#3 - 2018-05-02 09:48 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|9809f9394b3b0e1d8392add4cc2a7c380dd33eca.

Files

clip.gpkg 2.23 MB 2018-04-30 matteo ghetta
